import { Symbology } from './sdcBarcodeData.js';

interface SymbologySettings {
    getSymbology(): Symbology;
    isEnabled(): boolean;
    setEnabled(enabled: boolean): void;
    isColorInvertedEnabled(): boolean;
    setColorInvertedEnabled(enabled: boolean): void;
    isExtensionEnabled(extension: string): boolean;
    getEnabledExtensions(): Set<string>;
    setExtensionEnabled(extension: string, enabled: boolean): void;
    /** actually a u16, but this type is not supported by djinni */
    getActiveSymbolCounts(): Set<number>;
    /** actually a u16, but this type is not supported by djinni */
    setActiveSymbolCounts(activeCountsSet: Set<number>): void;
    toJson(): string;
}
interface SdcSymbologySettings_statics {
}

export type { SdcSymbologySettings_statics, SymbologySettings };
